    # File lib/chef/formatters/error_mapper.rb, line 68
          def self.resource_failed(resource, action, exception)
            error_inspector = ErrorInspectors::ResourceFailureInspector.new(resource, action, exception)
            headline = "Error executing action `#{action}` on resource '#{resource}'"
            description = ErrorDescription.new(headline)
            error_inspector.add_explanation(description)
            return description
          end